Index: testsuites/psxtests/Makefile.am
===================================================================
--- testsuites/psxtests/Makefile.am	(revision 79ee0ac2c14d0d4cdde913ad87540b1d3fc36ac6)
+++ testsuites/psxtests/Makefile.am	(revision c0ae2676b52885826afa4f0478659ddfc4fc4f4a)
@@ -7,5 +7,5 @@
 SUBDIRS = psxhdrs psx01 psx02 psx03 psx04 psx05 psx06 psx07 psx08 psx09 \
     psx10 psx11 psx12 psx13 psx14 psxcleanup psxtime psxtimer01 psxtimer02  \
-    psxcancel psxbarrier01 psxmsgq01 psxmsgq03 psxrwlock01 psxsem01 \
+    psxcancel psxbarrier01 psxmsgq01 psxmsgq03 psxobj01 psxrwlock01 psxsem01 \
     psxspin01 psxenosys psxsignal01 psxsysconf psxualarm psxkey01 \
     psxfatal01 psxfatal02 psxitimer
Index: testsuites/psxtests/configure.ac
===================================================================
--- testsuites/psxtests/configure.ac	(revision 79ee0ac2c14d0d4cdde913ad87540b1d3fc36ac6)
+++ testsuites/psxtests/configure.ac	(revision c0ae2676b52885826afa4f0478659ddfc4fc4f4a)
@@ -12,5 +12,4 @@
 AM_INIT_AUTOMAKE([no-define foreign 1.10])
 AM_MAINTAINER_MODE
-
 
 RTEMS_ENV_RTEMSBSP
@@ -57,4 +56,5 @@
 psxmsgq02/Makefile
 psxmsgq03/Makefile
+psxobj01/Makefile
 psxreaddir/Makefile
 psxrdwrv/Makefile
Index: testsuites/psxtests/psxobj01/.cvsignore
===================================================================
--- testsuites/psxtests/psxobj01/.cvsignore	(revision c0ae2676b52885826afa4f0478659ddfc4fc4f4a)
+++ testsuites/psxtests/psxobj01/.cvsignore	(revision c0ae2676b52885826afa4f0478659ddfc4fc4f4a)
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in
Index: testsuites/psxtests/psxobj01/Makefile.am
===================================================================
--- testsuites/psxtests/psxobj01/Makefile.am	(revision c0ae2676b52885826afa4f0478659ddfc4fc4f4a)
+++ testsuites/psxtests/psxobj01/Makefile.am	(revision c0ae2676b52885826afa4f0478659ddfc4fc4f4a)
@@ -0,0 +1,29 @@
+##
+## $Id$
+##
+
+MANAGERS = all
+
+rtems_tests_PROGRAMS = psxobj01
+psxobj01_SOURCES = init.c
+
+dist_rtems_tests_DATA = psxobj01.scn
+dist_rtems_tests_DATA += psxobj01.doc
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../automake/compile.am
+include $(top_srcdir)/../automake/leaf.am
+
+psxobj01_LDADD = $(MANAGERS_NOT_WANTED:%=$(PROJECT_LIB)/no-%.rel)
+
+AM_CPPFLAGS += -I$(top_srcdir)/include
+AM_CPPFLAGS += -I$(top_srcdir)/../support/include
+
+LINK_OBJS = $(psxobj01_OBJECTS) $(psxobj01_LDADD)
+LINK_LIBS = $(psxobj01_LDLIBS)
+
+psxobj01$(EXEEXT): $(psxobj01_OBJECTS) $(psxobj01_DEPENDENCIES)
+	@rm -f psxobj01$(EXEEXT)
+	$(make-exe)
+
+include $(top_srcdir)/../automake/local.am
Index: testsuites/psxtests/psxobj01/init.c
===================================================================
--- testsuites/psxtests/psxobj01/init.c	(revision c0ae2676b52885826afa4f0478659ddfc4fc4f4a)
+++ testsuites/psxtests/psxobj01/init.c	(revision c0ae2676b52885826afa4f0478659ddfc4fc4f4a)
@@ -0,0 +1,80 @@
+/*  Odd Object Name/Id Error Cases
+ *
+ *  COPYRIGHT (c) 1989-2009.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.com/license/LICENSE.
+ *
+ *  $Id$
+ */
+
+#define __RTEMS_VIOLATE_KERNEL_VISIBILITY__
+#include <tmacros.h>
+
+rtems_task Init(
+  rtems_task_argument ignored
+)
+{
+  Objects_Name_or_id_lookup_errors namerc;
+  Objects_Information              TestClass;
+  Objects_Id                       id;
+  char                             name[64];
+
+  puts( "\n\n*** POSIX OBJECT TEST 1 ***" );
+
+  /* very fake object class to test with */
+  _Objects_Initialize_information(
+    &TestClass,
+    1,           /* the_api */
+    4,           /* the_class */
+    0,           /* maximum */
+    4,           /* size */
+    true,        /* is_string */
+    10           /* maximum_name_length */
+    #if defined(RTEMS_MULTIPROCESSING)
+      ,
+      false,       /* supports_global */
+      NULL         /* Objects_Thread_queue_Extract_callout extract */
+    #endif
+  );
+
+  puts( "INIT - _Objects_Name_to_id_string - NULL name" );
+  namerc = _Objects_Name_to_id_string( &TestClass, NULL, &id );
+  if ( namerc != OBJECTS_INVALID_NAME ) {
+    printf( "ERROR - Status = %d\n", namerc );
+    rtems_test_exit(0);
+  }
+
+  puts( "INIT - _Objects_Name_to_id_string - NULL ID" );
+  namerc = _Objects_Name_to_id_string( &TestClass, name, NULL );
+  if ( namerc != OBJECTS_INVALID_ADDRESS ) {
+    printf( "ERROR - Status = %d\n", namerc );
+    rtems_test_exit(0);
+  }
+
+  puts( "INIT - _Objects_Name_to_id_string - name of non-existent object" );
+  strcpy( name, "NOT FOUND" );
+  namerc = _Objects_Name_to_id_string( &TestClass, name, &id );
+  if ( namerc != OBJECTS_INVALID_NAME ) {
+    printf( "ERROR - Status = %d\n", namerc );
+    rtems_test_exit(0);
+  }
+
+  puts( "*** END OF POSIX OBJECT TEST 1 ***" );
+  rtems_test_exit(0);
+}
+
+/* configuration information */
+
+#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_APPLICATION_DOES_NOT_NEED_CLOCK_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS  1
+#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
+
+#define CONFIGURE_INIT
+#include <rtems/confdefs.h>
+
+/* global variables */
Index: testsuites/psxtests/psxobj01/psxobj01.scn
===================================================================
--- testsuites/psxtests/psxobj01/psxobj01.scn	(revision c0ae2676b52885826afa4f0478659ddfc4fc4f4a)
+++ testsuites/psxtests/psxobj01/psxobj01.scn	(revision c0ae2676b52885826afa4f0478659ddfc4fc4f4a)
@@ -0,0 +1,5 @@
+*** POSIX OBJECT TEST 1 ***
+INIT - _Objects_Name_to_id_string - NULL name
+INIT - _Objects_Name_to_id_string - NULL ID
+INIT - _Objects_Name_to_id_string - name of non-existent object
+*** END OF POSIX OBJECT TEST 1 ***
